# Class CIM_MediaPhysicalStatInfo
extends CIM_PhysicalStatisticalInformation

Statistics related to reading physical labels and picks/puts at a specific StorageMediaLocation, or for a specific piece of PhysicalMedia. Although the same class is used to represent this data, at the instance level the object holds information for the Location (independent of the Media), OR for the Media (independent of its StorageMediaLocation). This class is deprecated in lieu of MediaPhysicalStatData, to take advantage of the simplified key structure defined there.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_PhysicalStatisticalInformation
|
+--CIM_MediaPhysicalStatInfo

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_MediaPhysicalStatData

Description

string

Statistics related to reading physical labels and picks/puts at a specific StorageMediaLocation, or for a specific piece of PhysicalMedia. Although the same class is used to represent this data, at the instance level the object holds information for the Location (independent of the Media), OR for the Media (independent of its StorageMediaLocation). This class is deprecated in lieu of MediaPhysicalStatData, to take advantage of the simplified key structure defined there.

UMLPackagePath | string | CIM::Physical::StoragePackage
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PickFailures | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.PickFailures
Description | string | The number of failed picks.
PickRetries | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.PickRetries
Description | string | The number of retried picks.
PickSuccesses | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.PickSuccesses
Description | string | The number of successful picks.
PutFailures | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.PutFailures
Description | string | The number of failed puts.
PutRetries | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.PutRetries
Description | string | The number of retried puts.
PutSuccesses | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.PutSuccesses
Description | string | The number of successful puts.
ScanFailures | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.ScanFailures
Description | string | The number of failed physical label scans.
ScanRetries | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.ScanRetries
Description | string | The number of retried physical label scans.
ScanSuccesses | uint64 |
Counter | boolean | true
Deprecated | string | CIM_MediaPhysicalStatData.ScanSuccesses
Description | string | The number of successful physical label scans.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_PhysicalStatisticalInformation
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_PhysicalStatisticalInformation
PhysicalCreationClassName | string | CIM_PhysicalStatisticalInformation
Tag | string | CIM_PhysicalStatisticalInformation

## Class Methods

### Local Class Methods

#### ResetCounter (uint32)

#### Method Qualifiers (ResetCounter)

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_StatisticalData.ResetSelectedStats

Description

string

Method to reset the statistical counters. The method takes one parameter as input - an integer indicating which counter to reset. For this input parameter, 0 indicates all, 1-3 reset the scan-related counters, 4-6 reset the 'pick'-related counters, and 7-9 reset the 'put'-related counters. The method returns 0 if successful, 1 if not supported, and any other value if an error occurred. A method is specified so that the Element's instrumentation can also reset its internal processing and counters. The set of possible return codes should be specified in a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' should be specified as a Values array qualifier on the method.

#### Method Parameters (ResetCounter)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
SelectedCounter | uint16
Description | string | The counter to reset.
IN | boolean | true
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
Values | string | All, Scan Successes, Scan Failures, Scan Retries, Pick Successes, Pick Failures, Pick Retries, Put Successes, Put Failures, Put Retries